%CIRCLE.M plots a circle
% Input: XY Coords, Radius, Color (RGB triple), Handle
% Output: Handle to circle
% Written by A. McClung 04/13/05 - Stanford Univ.
% Modified by Barrett Heyneman 03/26/06 - Stanford Univ.
function h=circle5(y,x,r,c,hook)
%hook is the same as a handle
if nargin<4
    c=[0 0 1];
end
if nargin<5
    hook=1;
end
t=0:0.01:2*pi;
if isfinite(r)
    xp=x+r*cos(t);
    yp=y+r*sin(t);
    h=plot(hook,yp,xp,'Color', c);
else
    disp('Note: Plot SKIPPED b/c r is not FINITE')
end